#include "mod.h"
#include <stdio.h>
#include <stdlib.h>

mod* newObj() {
	printf("static newObj()\n");
	fflush(NULL);
	return new mod();
}        

mod::mod() {
	printf("mod::mod()\n");
	fflush(NULL);
	value = 0;
}

int mod::doit(int val) {
	printf("mod::doit(int) - Was passed: %d\n", val);
	fflush(NULL);
	value = val;
	return value;
}
